=== debian/changelog ===
ros-indigo-bwi-scavenger (0.3.12-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 14 Sep 2016 05:00:00 -0000

ros-indigo-bwi-scavenger (0.3.11-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-bwi-scavenger (0.3.10-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 15 Aug 2016 05:00:00 -0000

ros-indigo-bwi-scavenger (0.3.9-0trusty) trusty; urgency=high

  * bwi_scavenger: add missing visualization_msgs dependency (#61 <https://github.com/utexas-bwi/bwi_common/issues/61>)
  * commented out image uploading in human following
  * final change before demo, hopefully
  * changed image topic name from image_color to image_raw
  * uniformed naming strategy of certificate images
  * fixed white-board not stopping problem
  * fixed bugs; todo: 'stop' button sometimes doesn't stop moving in whiteboard task
  * fixed human following 'no passive moving' problem
  * enabled robot to say 'following' while following a person
  * fixed fetch-object problem: robot doesn't stop after user presses the button
  * Merge branch 'shiqi/scavenger' of https://github.com/utexas-bwi/bwi_common into shiqi/scavenger
  * human following ends when task completed
  * fixed color shirt detection, shirt height problem
  * removed directory, leaving only file name of certificate
  * added a path to certificate messages from scav to virtour
  * added color into color shirt printout on virtour
  * fixed bugs, and demo worked well
  * added scav_srv into scavenger.cpp
  * added a new scavenger hunt service that can pause/resume current task
  * Merge remote-tracking branch 'origin/master' into shiqi/scavenger
  * scavenger: removed the blocking thread.join() line
  * enabled scavenger to keep publishing task status to bwi_virtour
  * fixed bug of scavenger status not publishing
  * bwi_msgs: added a ScavStatus msg
  * activated all four tasks
  * Added scp log files to remote (hypnotoad) location
  * Took out spin. It's too easy to be stuck in a loop with false detections
  * Finished implemented more fluid human following given the person's last seen location
  * Changed human following motion to actionlib version.
  * scavenger added image saver to human following
  * Added stop in front of person code for human following
  * added traveled distance into rviz
  * enabled robot to draw two trajectories: robot and human
  * added a tool for drawing robot trajectories
  * ScavTaskHumanFollowing: simply approaching where human was first detected
  * added a new task ScavTaskHumanFollowing; to be tested on robots
  * configuration used for scavenger hunt demo
  * fixed a problem about parameter passing
  * Contributors: Jack O'Quin, Shih-Yun Lo, Shiqi Zhang, William Xie

 -- Piyush Khandelwal <piyushk@gmail.com>  Fri, 05 Aug 2016 05:00:00 -0000

ros-indigo-bwi-scavenger (0.3.8-0trusty) trusty; urgency=high

  * use GlobalPlanner instead of navfn
  * door map for corpp experiments
  * Contributors: Piyush Khandelwal, Shiqi Zhang

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 06 Jun 2016 05:00:00 -0000

ros-indigo-bwi-scavenger (0.3.7-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 22 Sep 2015 05:00:00 -0000

ros-indigo-bwi-scavenger (0.3.6-0trusty) trusty; urgency=high

  * bwi_scavenger: remove segbot_gui and bwi_rlg references (#30 <https://github.com/utexas-bwi/bwi_common/issues/30>)
  * bwi_scavenger: work-around for yaml-cpp problem on Saucy (#35 <https://github.com/utexas-bwi/bwi_common/issues/35>)
  * Contributors: Jack O'Quin

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 25 Aug 2015 05:00:00 -0000

ros-indigo-bwi-scavenger (0.3.5-0trusty) trusty; urgency=high

  * bwi_scavenger: fix catkin lint and build problems (#31 <https://github.com/utexas-bwi/bwi_common/issues/31>)
  * Contributors: Jack O'Quin

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 22 Aug 2015 05:00:00 -0000

ros-indigo-bwi-scavenger (0.3.4-0trusty) trusty; urgency=high

  * restore missing package versions
  * added maintainers, and minor changes in package.xml files
  * fixed yaml-cpp version problem
  * Contributors: Jack O'Quin, Shiqi Zhang

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 19 Aug 2015 05:00:00 -0000

ros-indigo-bwi-scavenger (0.3.3-0trusty) trusty; urgency=high

  * added dependencies of move_base_msgs
  * fixed #26 <https://github.com/utexas-bwi/bwi_common/issues/26>: system dependency problem about yaml-cpp
  * moved scavenger hunt package from bwi_experimental to bwi_common
  * Contributors: Shiqi Zhang

 -- Shiqi Zhang <shiqi.zhang6@gmail.com>  Wed, 05 Aug 2015 05:00:00 -0000
