=== debian/control ===
Source: ros-indigo-bwi-scavenger
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libyaml-cpp-dev, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-bwi-kr-execution, ros-indigo-bwi-msgs, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-image-transport, ros-indigo-message-generation, ros-indigo-move-base-msgs, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-sound-play, ros-indigo-std-msgs, ros-indigo-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-bwi-scavenger
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libyaml-cpp-dev, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-bwi-kr-execution, ros-indigo-bwi-msgs, ros-indigo-cv-bridge, ros-indigo-image-transport, ros-indigo-message-runtime, ros-indigo-move-base-msgs, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-sound-play, ros-indigo-std-msgs, ros-indigo-visualization-msgs
Description: Robot scavenger hunt interfaces for the Building-Wide Intelligence project of the University of Texas at Austin.
